var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { I18nextProvider } from "react-i18next";
import i18n from "./i18n";
import { ProgrammingExercise, } from "./components/ProgrammingExercise";
import { StylesProvider, ThemeProvider } from "@material-ui/styles";
import { createTheme } from "@material-ui/core/styles";
import CssBaseline from "@material-ui/core/CssBaseline";
var PythonEditor = function (_a) {
    var dark = _a.dark, backgroundColor = _a.backgroundColor, props = __rest(_a, ["dark", "backgroundColor"]);
    return (React.createElement(ThemeProvider, { theme: createTheme({
            palette: __assign({ type: dark ? "dark" : "light" }, (backgroundColor && {
                background: {
                    default: backgroundColor,
                    paper: backgroundColor,
                },
            })),
        }) },
        React.createElement(StylesProvider, { injectFirst: true },
            React.createElement(CssBaseline, null),
            React.createElement(I18nextProvider, { i18n: i18n },
                React.createElement(ProgrammingExercise, __assign({}, props, { dark: dark, backgroundColor: backgroundColor }))))));
};
export default PythonEditor;
//# sourceMappingURL=index.js.map